Mandrake Linux Security Advisory : squid (MDKSA-2001:066)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing a security update.

Description :

The Squid proxy server has a serious security flaw in versions
2.3.STABLE2 through 2.3.STABLE4. This problem surfaces when Squid is
used in httpd_accel mode. If you configure http_accel_with_proxy off
then any request to Squid is allowed. Malicious users may use your
proxy to portscan remote systems, forge email, and other activities.

See also :

http://www.squid-cache.org/Versions/v2/2.3/

Solution :

Update the affected squid package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 13881 (mandrake_MDKSA-2001-066.nasl)

Bugtraq ID:

CVE ID: CVE-2001-1030

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now